<!DOCTYPE html>
<html lang="zxx">

<head>
  <meta charset="utf-8">
  <title>MDEF/Electronics Design</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="../plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="../plugins/themify/css/themify-icons.css">
  <link rel="stylesheet" href="../plugins/counto/animate.css">
  <link rel="stylesheet" href="../plugins/aos/aos.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.carousel.min.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.theme.default.min.css">
  <link rel="stylesheet" href="../plugins/magnific-popup/magnific-popup.css">
  <link rel="stylesheet" href="../plugins/animated-text/animated-text.css">

  <!-- Main Stylesheet -->
  <link href="../designspace/style.css" rel="stylesheet">

</head>


<body>

<!-- Navigation Start -->
<!-- Header Start -->

<div class= "header">

  <nav class="navbar navbar-expand-lg  main-nav " id="navbar">
  	<div class="container">
  	  <a class="navbar-brand" href="../index.html">
  	  	<img src="../images/logo.png" alt="" class="img-fluid">
  	  </a>


  	  <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
  		<span class="ti-align-justify"></span>
  	  </button>

  		  <div class="collapse navbar-collapse" id="navbarsExample09">
  			<ul class="navbar-nav ml-auto">

  			  <li class="nav-item  active"><a class="nav-link" href="../index.html">Home</a></li>

  			  <li class="nav-item dropdown active">
  					<a class="nav-link dropdown-toggle" href="#" id="dropdown02" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Reflection</a>
  					<ul class="dropdown-menu" aria-labelledby="dropdown02">
  						<li><a class="dropdown-item" href="../blog-grid.html">Term 1</a></li>
  						<li><a class="dropdown-item" href="../term2.html">Term 2</a></li>
  						<li><a class="dropdown-item" href="../term3.html">Term 3</a></li>
  					</ul>
  			  </li>

          <li class="nav-item dropdown active">
           <a class="nav-link dropdown-toggle" href="#" id="dropdown02" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Research</a>
           <ul class="dropdown-menu" aria-labelledby="dropdown02">
             <li><a class="dropdown-item" href="../designspace/design-space.html">Design Space</a></li>
             <li><a class="dropdown-item" href="../materials.html">Materiality</a></li>
           </ul>
         </li>

  			   <li class="nav-item"><a class="nav-link" href="../contact.html">GitLab</a></li>
           <li class="nav-item  active"><a class="nav-link" href="../myself.html">About</a></li>

  			</ul>
  		</div>
  	</div>
  </nav>
</div>
<!-- Header Close -->


<section class="page-title section pb-0">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="text-center">
          <h1 class="text-capitalize mb-0 text-lg">Electronics design</h1>
        </div>
      </div>
    </div>
  </div>
</section>



	<div class="fabclass">
              <br> </br>
              <h3> Designing and fabricating a Barduino board </h3>
              <br> </br>
               <img src="transformer.jpg" alt="" class="img-fluid fabimage">
               <br> </br>
                <h5>This week was about making a board that we would design, program and fabricate by ourselves. We will make a barduino, which is a ESP32 compatible board, that has WiFi and Bluetooth antennas embeded in it and it will be designed and fabricated completely in the Fab Lab. </h5>
                 <br> </br>
                <img src="barduino-pinout.png" alt="" class="img-fluid fabimage">
                 <br> </br>
                <p>The steps for making the barduino (or any other board) are the following: </p>
                <ul><li> 1. Download and Import libraries into Kicad </li>
                  <li>  2. Create the schematics with Eeschema </li>
                  <li>  3. Create a Netlist </li>
                  <li>  4. Import the Netlist into the Pcbnew editor </li>
                  <li>  5. Create the PCB layout </li>
                  <li>  6. Export into SVG </li>
                  <li>  7. Edit the file into a vector editing program (Illustrator) </li>
                  <li>8. Machine it </li>
                  <li>9. Solder it </li>
                </ul>
                   <img src="flow.png" alt="" class="img-fluid fabimage">
                <hr>
                <h4>1. Creating the schematic with Kicad </h4>
                <div class="fabimage">

                          <p>For this week's assignment we used KiCad, which is an open source, cross-platform Electronics design program. You can download it here: <a href="https://kicad-pcb.org/"> <i>Kicad</i></a> </p>


                          <p>The links for the libraries that we would need to use are:</p>
                          <ul> <li> <a href="http://fabacademy.org/2020/labs/barcelona/local/#material/extras/week06/assets/kicad_libraries.zip"> fab library - fab.lib </a> </li>
                          <li> <a href="https://github.com/KiCad/kicad-footprints"> footprints </a>  </li>
                          <li> <a href="https://github.com/KiCad/kicad-symbols"> symbols </a>  </li>
                          <li> <a href="http://fabacademy.org/2020/labs/barcelona/local/#material/extras/week06/assets/ESP32-Footprints.zip"> ESP32 </a></li>
                        </ul>

                          <p>In order to upload them to Kicad we use these two buttons: </p>
                          <img src="symbol.png" alt="protocole2" class="img-fluid">
                          <p>Symbol library editor</p>
                          <img src="foot.png" alt="protocole2" class="img-fluid">
                          <p>Footprint library editor</p>

                </div>

                <br> </br>

                <div class="fabimage">
                        <p>For the schematic, we use Eschema, which is part of Kicad, where we place components and then we connect them with wires. In order to add components, we will click on the Place component icon and select the elements needed from either the fab library we have included or other custom libraries of our own.</p>
                        <ul>
                        <li>R to rotate the component</li>
                        <li>C to copy it</li>
                        <li>M to move it</li>
                        <li>D to delete it</li>
                        <li>W to draw a wire</li>
                      </ul>
                        <img src="schematic.jpg" alt="mill" class="img-fluid">
                         <br> </br>
                         <p>This is the final schematic design of the board. It is useful to add extra functions on smaller groups, that then we can connect with a Global Label with the port that we want. Once it is done, we export it as netlist. </p>
                         <p>You can dowload the trace file here: <a href="example.sch" Schematics></p>   <h6>Schematics</h6> </a>
                  </div>
                  <hr>
                  <br> </br>


                  <h4>2. Pcbnew editor </h4>
                  <div class="fabimage">
                    <p>We open the Pcbnew edit, where we load the netlist. We try to arrange the components in such a way that the wires will not intersect. </p>
                    <img src="chaos.jpg" alt="netlist" class="img-fluid ">
                    <br> </br>
                    <p>Then we setup the design rules, by going to File > Board Setup...: </p>
                     <img src="designrules.jpg" alt="designrules" class="img-fluid ">
                     <br> </br>
                     <img src="designrul.jpg" alt="designrules" class="img-fluid ">
                     <p>In order to define the traces we use the Route tracks button. </p>
                    <img src="bardu.jpg" alt="barduino" class="img-fluid ">
                    <p>I exported a PDF file, that we can later on import in Fabmodules, or generate a PNG.
                       If you want to export it to SVG and then use a vector program to edit it (Illustrator), click on File > Export SVG with the following settings: </p>
                    <img src="svgset.jpg" alt="list" class="img-fluid ">
                      <br> </br>
                      <p>That's the file of the traces that we generated through the Eschema and Pcbnew editor. The final editting was done in Illustrator, where we separated the traces and the cuts in separate files.</p>
                      <img src="tracesboard.jpg" alt="barduino" class="img-fluid ">
                      <p>Here are the png files of the traces, the holes and the place of the antenna that needs to be milled. You can download by clicking on them. </p>
                    <a href="traces.png" download>
                          <img src="traces.png" alt="traces">
                  </a>

                  <a href="holes.png" download>
                        <img src="holes.png" alt="holes">
                </a>

                <a href="antenna.png" download>
                      <img src="antenna.png" alt="antenna">
              </a>
                  </div>
                  <hr>




                  <h4>3. Preparing the files </h4>

                  <p>So when I was about to start milling, I noticed that some traces were touching the outter ofset of the components, which meand that there would be overlapping. So I editted again the pcb and I centered all the traces, so they
                    are not close to the components.</p>
                    <p>A second problem that I had was that I had opened the svg file with illustrator. But when I opend it the line weight was too big, so I had to change it. The problem is that you don't really
                      now if it is the right dimension in milimeters. So Josep suggested that I use Inkscape to edit and separate the layers. Like that I wasn't loosing the real dimensions of the pcb.</p>

                      <p>After that I used mods to make the traces for the machine. </p>

                  <br> </br>

                  <h4>3. Milling & Soldering </h4>

                  <img src="barduino.jpg" alt="designrules" class="img-fluid ">
                  <br> </br>
                  <img src="station.jpg" alt="designrules" class="img-fluid ">
                  <br> </br>
                  <img src="barduwrong.jpg" alt="wrong" class="img-fluid ">
                  <br> </br>




                  <h4>4. Results</h4>

                  <img src="transformer.jpg" alt="correct" class="img-fluid ">
                  <br> </br>
                  <img src="transfobardu.jpg" alt="correct" class="img-fluid ">
                  <br> </br>

                 <hr>
      </div>


    <section class="footer">
    	<div class="container">
    		<div class="row ">
    			<div class="col-lg-6">
    			</div>
    			<div class="col-lg-6">
    				<div class="widget footer-widget text-lg-right mt-5 mt-lg-0">
    					<ul class="list-inline mb-0">

    					</ul>
    				</div>
    			</div>
    		</div>
    	</div>
    </section>

</body>

<!-- jQuery -->
<script src="../plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="../plugins/bootstrap/bootstrap.min.js"></script>
<script src="../plugins/aos/aos.js"></script>
<script src="../plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="../plugins/shuffle/shuffle.min.js"></script>
<script src="../plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="../plugins/animated-text/animated-text.js"></script>
<script src="../plugins/counto/apear.js"></script>
<script src="../plugins/counto/counTo.js"></script>

 <!-- Google Map -->
<script src="../plugins/google-map/map.js"></script>
<!-- Main Script -->
<script src="js/script.js"></script>

</html>
